Update Cms Content
PATCH
/api/superadmin/cms/{page_id}
const url = 'https://example.com/api/superadmin/cms/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"content":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/superadmin/cms/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "content": { "additionalProperty": "example" } }'Bulk update content values.
Validates that all submitted keys exist in the registry. Unknown keys are rejected with 422.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”page_id
required
Page Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CMSUpdateRequest
Request model for PATCH /api/superadmin/cms/{page_id}.
object
content
required
Content
object
key
additional properties
string
Examplegenerated
{ "content": { "additionalProperty": "example" }}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CMSContentResponse
Response model for GET /api/superadmin/cms/{page_id}.
object
page_id
required
Page Id
string
content
required
Content
object
key
additional properties
CMSContentEntry
Single content entry returned by the metadata endpoint.
Example
{ "content": { "additionalProperty": { "has_draft": false } }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}